%global pypi_name XStatic-jquery-ui
%global srcname   xstatic-jquery-ui

Name:           python-xstatic-jquery-ui
Version:        1.13.0.1
Release:        %mkrel 6
Summary:        jquery-ui (XStatic packaging standard)
Group:          Development/Python

# According 
# https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
# https://creativecommons.org/publicdomain/zero/1.0/legalcode
# is abbreviated CCO.
# This package has the same license as jquery-ui:
# https://github.com/jquery/jqueryui.com/blob/master/LICENSE.txt
License:        CC0
URL:            https://jqueryui.com/
Source0:        https://pypi.io/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python3-xstatic-jquery-ui
Summary:        %{summary}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       xstatic-jquery-ui-common
Obsoletes:      python3-XStatic-jquery-ui < 1.13.0.2
Obsoletes:      python-XStatic-jquery-ui < 1.13.0.2

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-xstatic-jquery-ui
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.

%package -n xstatic-jquery-ui-common
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-jquery-ui-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.

%prep
%autosetup -n %{pypi_name}-%{version}
# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/jquery_ui'|" xstatic/pkg/jquery_ui/__init__.py

%build
%pyproject_wheel

%install
%pyproject_install

mkdir -p %{buildroot}%{_jsdir}/jquery_ui
# mv %%{buildroot}%%{python3_sitelib}/xstatic/pkg/jquery_ui/data/* %%{buildroot}%%{_jsdir}/jquery_ui
# fix execute flags for js
chmod 644 %{buildroot}%{python3_sitelib}/xstatic/pkg/jquery_ui/data/*.js
%pyproject_save_files xstatic

%files -n python3-xstatic-jquery-ui -f %{pyproject_files}
%doc README.txt

%files -n xstatic-jquery-ui-common
%doc README.txt
%{python_sitelib}/XStatic_jquery_ui-%{version}-py%{python_version}-nspkg.pth


%changelog
* Sun Mar 02 2025 wally <wally> 1.13.0.1-6.mga10
+ Revision: 2157976
- rebuild for python3.13

* Sat Dec 28 2024 daviddavid <daviddavid> 1.13.0.1-5.mga10
+ Revision: 2130798
- rebuild for python3.12
+ papoteur <papoteur>
- complete obsoleting previous name
- Change really the generated package name
- obsoletes old name
- new 1.13.0.1

* Fri Jun 24 2022 papoteur <papoteur> 1.12.0.1-5.mga9
+ Revision: 1865860
- Mass Rebuild for dependencies
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 1.12.0.1-3.mga9
+ Revision: 1822389
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 neoclust <neoclust> 1.12.0.1-2.mga9
+ Revision: 1773409
- rebuild for python 3.10

* Fri May 15 2020 joequant <joequant> 1.12.0.1-1.mga9
+ Revision: 1583907
- imported package python-XStatic-jquery-ui

